%define _enable_debug_packages %{nil}
%define debug_package %{nil}

Summary:	An implementation of IPSEC & IKE for Linux
Name:		openswan
Version:	2.6.19
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.openswan.org/
Source0:	http://www.openswan.org/code/openswan-%{version}.tar.gz
Source1:	http://www.openswan.org/code/openswan-%{version}.tar.gz.asc
Patch1:		openswan-2.6.14-manfix.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Provides:	ipsec-userland
Requires:	iproute2
Requires:	ipsec-tools
Conflicts:	freeswan
BuildRequires:	bison
BuildRequires:	gmp-devel
BuildRequires:	pam-devel
BuildRequires:	dos2unix
BuildRequires:	flex
BuildRequires:  xmlto
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Openswan is a free implementation of IPSEC & IKE for Linux, a fork of the
FreeS/WAN project.

IPSEC is Internet Protocol Security and uses strong cryptography to
provide both authentication and encryption services.  These services
allow you to build secure tunnels through untrusted networks.
Everything passing through the untrusted net is encrypted by the ipsec
gateway machine and decrypted by the gateway at the other end of the
tunnel.  The resulting tunnel is a virtual private network or VPN.

This package contains the daemons and userland tools for setting up
Openswan on a kernel with either the 2.6 native IPsec code, or
FreeS/WAN's KLIPS.

%package	doc
Summary:	An implementation of IPSEC & IKE for Linux
Group:		System/Servers

%description	doc
Openswan is a free implementation of IPSEC & IKE for Linux, a fork of the
FreeS/WAN project.

This is the documentation for Openswan.

%prep

%setup -q -n openswan-%{version}
%patch1 -p1 -b .manfix

find . -type f -name "*.html" -exec dos2unix -U {} \;

%build

%serverbuild

find . -name "Makefile*" | xargs perl -pi -e "s|libexec|%{_lib}|g"

# the %make macro doesn't seem to work
make \
    USERCOMPILE="-g %{optflags}" \
    INC_USRLOCAL=%{_prefix} \
    MANTREE=%{_mandir} \
    INC_RCDEFAULT=%{_initrddir} \
    CONFDIR=%{_sysconfdir}/%name \
    FINALCONFDIR=%{_sysconfdir}/%name \
    FINALCONFFILE=%{_sysconfdir}/%name/ipsec.conf \
    FINALLIBEXECDIR=%{_libdir}/ipsec \
    FINALLIBDIR=%{_libdir}/ipsec \
    programs

%install
rm -rf %{buildroot}

%{make} \
    DESTDIR=%{buildroot} \
    INC_USRLOCAL=%{_prefix} \
    MANTREE=%{buildroot}%{_mandir} \
    INC_RCDEFAULT=%{_initrddir} \
    INC_USRLOCAL=%{_prefix} \
    INC_RCDEFAULT=%{_initrddir} \
    FINALCONFDIR=%{_sysconfdir}/%name \
    FINALLIBEXECDIR=%{_libdir}/ipsec \
    FINALLIBDIR=%{_libdir}/ipsec \
    install

install -d -m700 %{buildroot}%{_localstatedir}/lib/run/pluto
install -d %{buildroot}%{_sbindir}

# Remove old documentation for the time being.
rm -rf %{buildroot}%{_defaultdocdir}/freeswan

# cleanup
rm -rf %{buildroot}%{_sysconfdir}/rc.d/rc*
rm -rf %{buildroot}%{_sysconfdir}/rc.d/init.d/setup
rm -rf %{buildroot}%{_docdir}/%{name}

%preun
%_preun_service ipsec

%post
%_post_service ipsec

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING CREDITS README
%attr(0755,root,root) %{_initrddir}/ipsec
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ipsec.conf
%attr(0700,root,root) %dir %{_sysconfdir}/%{name}/ipsec.d
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ipsec.d/*/*
%{_sbindir}/ipsec
%dir %{_libdir}/ipsec
%{_libdir}/ipsec/*
%{_localstatedir}/lib/run/pluto
%{_mandir}/*/*

%files doc
%defattr(-,root,root)
%doc doc/*


%changelog
* Wed Dec 03 2008 Jérôme Soyer <saispo@mandriva.org> 2.6.19-1mdv2009.1
+ Revision: 309656
- Add BuildRequires
- New release 2.6.19

* Mon Nov 10 2008 Michael Scherer <misc@mandriva.org> 2.6.18-1mdv2009.1
+ Revision: 301689
- upgrade to 2.6.18
- clean end of line ( automatic with vim )

* Mon Sep 01 2008 Olivier Blin <oblin@mandriva.com> 2.6.16-1mdv2009.0
+ Revision: 278117
- 2.6.16

* Tue Jul 15 2008 Funda Wang <fundawang@mandriva.org> 2.6.14-1mdv2009.0
+ Revision: 235755
- drop unneeded setup file
- BR flex
- New version 2.6.14
- rediff man-fix patch

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Sat Mar 01 2008 Olivier Blin <oblin@mandriva.com> 2.4.12-1mdv2008.1
+ Revision: 177431
- 2.4.12
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 25 2007 Olivier Blin <oblin@mandriva.com> 2.4.8-1mdv2008.0
+ Revision: 31108
- 2.4.8 (from Zombie Ryushu)


* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 2.4.7-2mdv2007.1
+ Revision: 148619
- conflict with freeswan (#19011)

* Fri Mar 16 2007 Olivier Blin <oblin@mandriva.com> 2.4.7-1mdv2007.1
+ Revision: 145114
- 2.4.7
- Import openswan

* Tue Sep 19 2006 Andreas Hasenack <andreas@mandriva.com> 2.4.5-2mdv2007.0
- fix ipsec path in manpage (#11921)
- added patch to fix syntax error which was preventing build

* Sat Apr 29 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.5-1mdk
- 2.4.5

* Mon Mar 06 2006 Lenny Cartier <lenny@mandriva.com> 2.4.4-1mdk
- 2.4.4

* Fri Aug 19 2005 Arnaud de Lorbeau <> 2.3.1-1mdk
- 2.3.1
- patch for gcc4 from [Openswan dev] ML

* Tue Oct 05 2004 Robert Vojta <robert.vojta@mandrake.org> 2.2.0-2mdk
- missing BuildRequires for bison

* Wed Sep 29 2004 Florin <florin@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0
- build with -j2 doesn't seem to work (use make instead of make -j2)
- remove the no longer existing INSTALL file
- add the docs files
- add the missing htmldoc in BuildRequires

* Wed May 19 2004 Florin <florin@mandrakesoft.com> 2.1.2-0.rc3.3mdk
- sysconfdir is now /etc/openswan

* Thu Apr 22 2004 Florin <florin@mandrakesoft.com> 2.1.2-0.rc3.2mdk
- add the signature file

* Thu Apr 22 2004 Florin <florin@mandrakesoft.com> 2.1.2-0.rc3.1mdk
- first Mandrake release

